Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Can't Find a Package

  1. #1
    Join Date
    Oct 2006
    Beans
    16

    Can't Find a Package

    Hi,

    I'm fairly new to Ubuntu and Linux administration. I'm running Ubuntu 6.06 (Dapper). I'm trying to install a package (request tracker) and am following instructions here: http://wiki.bestpractical.com/view/UbuntuInstallGuide2

    The instructions indicate that rt3.6-apache2 must be installed with this command:
    apt-get install rt3.6-apache2

    However, when I run the command, I get this message:
    Reading package lists... Done
    Building dependency tree... Done
    E: Couldn't find package rt3.6-apache2

    Seems it can't find rt3.6-apache2.

    How can I figure out how to get rt3.6-apache2? And, once I figure out where it is, how do I install it?

    Thanks so much in advance,
    Don

  2. #2
    Join Date
    Feb 2007
    Beans
    64

    Re: Can't Find a Package

    This package is in the `universe' repository, which you have to enable.

    See https://help.ubuntu.com/community/Repositories/Ubuntu

  3. #3
    Join Date
    Oct 2007
    Location
    ISS
    Beans
    1,429

    Re: Can't Find a Package

    You can find info on a package by searching it here:

    http://packages.ubuntu.com/

    Here is your package:

    http://packages.ubuntu.com/dapper-ba.../rt3.6-apache2

    Enable your universe repo (as suggested above) or download it manually from the above page.

  4. #4
    Join Date
    Oct 2006
    Beans
    16

    Re: Can't Find a Package

    I have enabled the universe repository in /etc/apt/sources.list with the following line:
    deb http://archive.ubuntu.com/ubuntu/ dapper universe main restricted multiverse

    note: the line is uncommented in /etc/apt.sources.list.

    However, I still get the same message indicating that apt-get could not find package rt3.6-apache2.

    Any other thoughts?

    Thanks,
    Don


    Quote Originally Posted by minaev View Post
    This package is in the `universe' repository, which you have to enable.

    See https://help.ubuntu.com/community/Repositories/Ubuntu

  5. #5
    Join Date
    Oct 2006
    Beans
    16

    Re: Can't Find a Package

    thanks for the reply and the pointers.

    See my most recent post: apt-get still cannot find rt3.6-apache2.

    What am I doing wrong?

    By the way, how did you so quickly know to look in dapper-backports from packages.ubuntu.com?

    Thanks,
    Don

    Quote Originally Posted by Vivaldi Gloria View Post
    You can find info on a package by searching it here:

    http://packages.ubuntu.com/

    Here is your package:

    http://packages.ubuntu.com/dapper-ba.../rt3.6-apache2

    Enable your universe repo (as suggested above) or download it manually from the above page.

  6. #6
    Join Date
    Apr 2008
    Location
    Phoenix, AZ
    Beans
    1,393
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Can't Find a Package

    Did you do apt-get update after making the change?

  7. #7
    Join Date
    Oct 2006
    Beans
    16

    Re: Can't Find a Package

    yep, did "sudo apt-get update" after changing sources.list.

    Quote Originally Posted by Monicker View Post
    Did you do apt-get update after making the change?

  8. #8
    Join Date
    Apr 2008
    Location
    Phoenix, AZ
    Beans
    1,393
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Can't Find a Package

    Quote Originally Posted by don7777 View Post
    yep, did "sudo apt-get update" after changing sources.list.
    Hrmm. From searching packages.ubuntu.com, rt3.4-apache2 is available for Dapper, but not 3.6

    http://packages.ubuntu.com/search?ke...er&section=all
    Last edited by Monicker; May 13th, 2008 at 08:51 PM. Reason: typos

  9. #9
    Join Date
    Oct 2006
    Beans
    16

    Re: Can't Find a Package

    yep, but from an earlier post you can find the "dapper-backports" fo rt3.6 here:
    http://packages.ubuntu.com/dapper-backports/misc/

    Is there some line I should have in sources.list in order to get at the backports?

    Thanks,
    Don

    Quote Originally Posted by Monicker View Post
    Hrmm. From searching packages.ubuntu.com, rt3.6-apache2 should be available

    http://packages.ubuntu.com/search?ke...er&section=all

  10. #10
    Join Date
    Apr 2008
    Location
    Phoenix, AZ
    Beans
    1,393
    Distro
    Ubuntu 10.10 Maverick Meerkat

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •